package com.hdkj.lt.bf.aspect;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author rj
 * @date 2026/4/1 14:37
 * @description
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface RequiresCountryPermissions {
    String lineFields() default "";
    //部门对应区县的isc编码
    String countryFields() default "";
    //部分接口传的是部门编码
    String deptCodeFields() default "";
}
